#if !defined(CMPLX)
#define CMPLX

typedef struct {
    // Définition d'un type correspondant aux nombres complexes
    double real;
    double imag;
} Cmplx, *LPCmplx;

extern int InitCmplx(Cmplx *, double, double);
extern int DisplayCmplx(Cmplx *);
extern int GetCmplx(Cmplx *);
extern int ConjCmplx(Cmplx *,  Cmplx *);
extern int ModCmplx(Cmplx *, double *);
extern int ArgCmplx(Cmplx *, double *);
extern int SumCmplx(Cmplx *, Cmplx *, Cmplx *);
extern int SubCmplx(Cmplx *, Cmplx *, Cmplx *);
extern int MulCmplx(Cmplx *, Cmplx *, Cmplx *);
extern int DivCmplx(Cmplx *, Cmplx *, Cmplx *);
extern int PowCmplx(Cmplx *, int,  Cmplx *);
extern int EvalPoly(double *, int, Cmplx *, Cmplx *);

#endif