#if !defined(TRANSFER)
#define TRANSFER

#include "../include/complex.h"

typedef struct {
    // Structure correspondant à une fonction de transfert
    double *num; // Tableau des coefficients du polynôme numérateur
    int degreNum; // Taille du tableau num
    double *denum; // Tableau des coefficients du polynôme dénominateur
    int degreDenum; // Taille du tableau denum
} Transfer, *LPTransfer;

extern int FreqEval(Transfer *, double, Cmplx *);
extern int GainAndPhase(Transfer *, double, double, double);

#endif