#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "../include/complex.h"
//#include "../include/transfer.h"

int main(void) {

    // Test des fonctions multiplier et diviser
    Cmplx complex1;
    Cmplx complex2;
    InitCmplx(&complex1, 1, 1);
    InitCmplx(&complex2, 3, 5);

    Cmplx multComplex;
    MulCmplx(&complex1, &complex2, &multComplex);
    Cmplx divComplex;
    DivCmplx(&complex1, &complex2, &divComplex);
    DisplayCmplx(&multComplex);
    DisplayCmplx(&divComplex);

    // Test de la fonction puissance
    Cmplx testPow;
    InitCmplx(&testPow, 3, 1);
    Cmplx powComplex;
    PowCmplx(&testPow, 2, &powComplex);
    DisplayCmplx(&powComplex);

    // Test de l'évaluation d'un polynôme en un point
    Cmplx testPolynomial;
    int degree = 3;
    double coefficients[3] = {1, 3, 2};
    Cmplx point;
    InitCmplx(&point, 2, 1);
    EvalPoly(coefficients, degree, &point, &testPolynomial);
    printf("Résulat de l'évaluation du polynôme ;\n");
    DisplayCmplx(&testPolynomial);
    
    return 0;
}