#include "../include/complex.h"
#include "../include/transfer.h"

#define PI 3.14159

int FreqEval(Transfer *transfer, double freq, Cmplx *result) {
    Cmplx point;
    InitCmplx(&point, 0, 2 * PI * freq);
    Cmplx valNum;
    Cmplx valDenum;

    EvalPoly(transfer->num, transfer->degreNum, &point, &valNum);
    EvalPoly(transfer->denum, transfer->degreDenum, &point, &valDenum);

    // Retourne la division de l'expression du polynôme numérateur  
    // à la pulsation donnée par l'expression du polynôme dénominateur
    DivCmplx(&valNum, &valDenum, result);
    return 0;
}

int GainAndPhase(Transfer *transfer, double valInit, double stepFreq, double finalFreq) {
    return 0;
}